org.apache.maven.plugin.jar

## Class JarSignVerifyMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.maven.plugin.jar.JarSignVerifyMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Deprecated.
As of version 2.3, this goal is no longer supported in favor of the dedicated maven-jarsigner-plugin.

    public class JarSignVerifyMojo
    extends org.apache.maven.plugin.AbstractMojo

Checks the signature of a signed jar using jarsigner.

Version:
  $Id: JarSignVerifyMojo.java 802529 2009-08-09 12:05:35Z bentmann $
Author:
  Jerome Lacoste

### Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`JarSignVerifyMojo()` Deprecated.

### Method Summary

Methods
`void` `execute()` Deprecated.
`protected int` `executeCommandLine(org.codehaus.plexus.util.cli.Commandline commandLine, java.io.InputStream inputStream, org.codehaus.plexus.util.cli.StreamConsumer systemOut, org.codehaus.plexus.util.cli.StreamConsumer systemErr)` Deprecated.
`boolean` `isSigned()` Deprecated. Is the JAR file signed ? Output property set by the `execute()` call.
`void` `setBasedir(java.io.File basedir)` Deprecated.
`void` `setCheckCerts(boolean checkCerts)` Deprecated.
`void` `setErrorWhenNotSigned(boolean errorWhenNotSigned)` Deprecated. Sets a boolean that is to determine if an exception should be thrown when the JAR file being verified is unsigned.
`void` `setJarPath(java.io.File jarPath)` Deprecated.
`void` `setVerbose(boolean verbose)` Deprecated.
`void` `setWorkingDir(java.io.File workingDir)` Deprecated.

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JarSignVerifyMojo

    public JarSignVerifyMojo()

Deprecated.

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Deprecated.

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### executeCommandLine

    protected int executeCommandLine(org.codehaus.plexus.util.cli.Commandline commandLine,
                         java.io.InputStream inputStream,
                         org.codehaus.plexus.util.cli.StreamConsumer systemOut,
                         org.codehaus.plexus.util.cli.StreamConsumer systemErr)
                              throws org.codehaus.plexus.util.cli.CommandLineException

Deprecated.

Throws:
  `org.codehaus.plexus.util.cli.CommandLineException`

#### setWorkingDir

    public void setWorkingDir(java.io.File workingDir)

Deprecated.

#### setBasedir

    public void setBasedir(java.io.File basedir)

Deprecated.

#### setJarPath

    public void setJarPath(java.io.File jarPath)

Deprecated.

#### setCheckCerts

    public void setCheckCerts(boolean checkCerts)

Deprecated.

#### setVerbose

    public void setVerbose(boolean verbose)

Deprecated.

#### isSigned

    public boolean isSigned()

Deprecated.
Is the JAR file signed ? Output property set by the `execute()` call.

Returns:
  `true` if the jar was signed, `false` otherwise.

#### setErrorWhenNotSigned

    public void setErrorWhenNotSigned(boolean errorWhenNotSigned)

Deprecated.
Sets a boolean that is to determine if an exception should be thrown when the JAR file being verified is unsigned. If you just what to check if a JAR is unsigned and then act on the result, then you probably want to set this to `true`.